## kmines 25.04.0

=== data/CMakeLists.txt ===

install( PROGRAMS org.kde.kmines.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.kmines.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

ecm_install_icons(ICONS
    16-apps-kmines.png
    22-apps-kmines.png
    32-apps-kmines.png
    48-apps-kmines.png
    64-apps-kmines.png
    128-apps-kmines.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== themes/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

function(install_theme name)
    cmake_parse_arguments(ARG "" "SVG;PREVIEW" "" ${ARGN})
    if (NOT ARG_SVG)
        set(ARG_SVG "${name}.svg")
    endif()
    if (NOT ARG_PREVIEW)
        set(ARG_PREVIEW "${name}_preview.png")
    endif()
    set(svgz "${CMAKE_CURRENT_BINARY_DIR}/${ARG_SVG}z")
    generate_svgz(${ARG_SVG} ${svgz} "theme-")
    install(
        FILES
            ${name}.desktop
            ${ARG_PREVIEW}
            ${svgz}
        DESTINATION ${KDE_INSTALL_DATADIR}/kmines/themes
    )
endfunction()

install_theme(default SVG kmines_oxygen.svg)
install_theme(classic SVG kmines_classic.svg)
install_theme(green SVG kmines_green.svg PREVIEW green.png)
install_theme(graveyard-mayhem PREVIEW graveyard-mayhem-preview.png)
install_theme(clean_blue SVG kmines_clean_blue.svg)
install_theme(clean_blue_dark SVG kmines_clean_blue_dark.svg)

=== debian/changelog ===
kmines (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:27:27 +0200

=== debian/control ===
Source: kmines
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kmines/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmines
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmines.git

Package: kmines
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: minesweeper game
 KMines is a game where the player finds hidden mines without setting them off.
 .
 This package is part of the KDE games module.

## kmines 25.04.3

=== debian/changelog ===
kmines (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:47:42 +0100

kmines (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:50:48 +0100

kmines (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:10:25 +0100

kmines (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:53:43 +0100

=== debian/control ===
Source: kmines
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.04.3~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmines
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmines

Package: kmines
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: minesweeper game
 KMines is a game where the player finds hidden mines without setting them off.
 .
 This package is part of the KDE games module.

## kmines 25.07.80

=== debian/changelog ===
kmines (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:15:19 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.04.3~),
+               libkdegames6-dev (>= 4:25.07.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.07.90

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "07")
set (RELEASE_SERVICE_VERSION_MICRO "90")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KMINES_BASE_VERSION once new features are added
set(KMINES_BASE_VERSION "4.0")
set(KMINES_VERSION "${KMINES_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kmines VERSION ${KMINES_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)

include(InternalMacros)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    I18n
    TextWidgets
    WidgetsAddons
    XmlGui
    IconThemes
)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(KDEGames6 6.0.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.5
    KDEGAMES 6.0
)

add_subdirectory(data)
add_subdirectory(themes)
add_subdirectory(src)

ki18n_install(po)
if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmines (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:51:16 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.80~),
+               libkdegames6-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.08.0

=== debian/changelog ===
kmines (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:55:02 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.90~),
+               libkdegames6-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "07")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMINES_BASE_VERSION once new features are added

=== src/CMakeLists.txt ===
ecm_setup_version(${KMINES_VERSION}
    VARIABLE_PREFIX KMINES
    VERSION_HEADER kmines_version.h
)

add_executable(kmines)

target_sources(kmines PRIVATE
    borderitem.cpp
    borderitem.h
    cellitem.cpp
    cellitem.h
    commondefs.h
    main.cpp
    mainwindow.cpp
    mainwindow.h
    minefielditem.cpp
    minefielditem.h
    scene.cpp
    scene.h
    main.cpp

    kmines.qrc
)

if(APPLE)
    set_target_properties(kmines PROPERTIES
	    MACOSX_BUNDLE_DISPLAY_NAME "KMines"
	    MACOSX_BUNDLE_BUNDLE_NAME "KMines"
	    MACOSX_BUNDLE_LONG_VERSION_STRING "KMines ${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kmines"
	MACOSX_BUNDLE_COPYRIGHT "2024 The KMines Developers")
endif()

ecm_qt_declare_logging_category(kmines
    HEADER kmines_debug.h
    IDENTIFIER KMINES_LOG
    CATEGORY_NAME kmines
    OLD_CATEGORY_NAMES org.kde.kdegames.kmines
    DESCRIPTION "KMines game"
    EXPORT KMINES
)

ki18n_wrap_ui(kmines customgame.ui generalopts.ui)

kconfig_add_kcfg_files(kmines settings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/data/*-apps-kmines.png")
ecm_add_app_icon(kmines ICONS ${ICONS_SRCS})

target_link_libraries(kmines 
    KDEGames6
    KF6::CoreAddons
    KF6::TextWidgets
    KF6::WidgetsAddons
    KF6::DBusAddons
    KF6::Crash
    KF6::XmlGui
    KF6::IconThemes
)

install(TARGETS kmines  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_install_logging_categories(
    EXPORT KMINES
    FILE kmines.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kmines (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:09:58 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.0~),
+               libkdegames6-dev (>= 4:25.08.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMINES_BASE_VERSION once new features are added

=== debian/changelog ===
kmines (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:49:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.1~),
+               libkdegames6-dev (>= 4:25.08.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.08.2+p24.04+vstable+git20251011.1244

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vstable+git20251011.1244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:44:02 +0000

kmines (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:17:06 +0000

kmines (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:45:57 +0000

kmines (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:58:09 +0000

kmines (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:32:02 +0000

kmines (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:32:03 +0000

kmines (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:21:36 +0000

kmines (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:30:04 +0000

kmines (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:52:01 +0000

kmines (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:36:04 +0000

kmines (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:35:44 +0000

kmines (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:23:58 +0000

kmines (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:32:22 +0000

kmines (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:10:03 +0000

kmines (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:41:04 +0000

kmines (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:39:05 +0000

kmines (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:17:44 +0000

kmines (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:37:06 +0000

kmines (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:27:54 +0000

kmines (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:19:51 +0000

kmines (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:59:29 +0000

kmines (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:33:44 +0000

kmines (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:33:49 +0000

kmines (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:15:14 +0000

kmines (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:04:51 +0000

kmines (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:37:08 +0000

kmines (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:25:34 +0000

kmines (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:00:34 +0000

kmines (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:36:52 +0000

kmines (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:43:02 +0000

kmines (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 16:30:57 +0000

kmines (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:54:47 +0000

kmines (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:06:07 +0000

kmines (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:52:59 +0000

kmines (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:17:56 +0000

kmines (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:10:12 +0000

kmines (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:23:10 +0000

kmines (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:02:05 +0000

kmines (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:06:41 +0000

kmines (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:10:56 +0000

kmines (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:34:02 +0000

kmines (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:21 +0000

kmines (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:44:24 +0000

kmines (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:57:20 +0000

kmines (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:26:24 +0000

kmines (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:56:40 +0000

kmines (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:24:50 +0000



## kmines 25.08.2+p24.04+vstable+git20251019.0538

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vstable+git20251019.0538-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:38:01 +0000

## kmines 25.08.2+p24.04+vstable+git20251021.0401

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vstable+git20251021.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 04:01:42 +0000

=== debian/control ===
Source: kmines
Section: games
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 12),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               libkdegames6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kmines.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmines
Maintainer: Neon CI <neon@kde.org>

Package: kmines
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: minesweeper game
 KMines is a game where the player finds hidden mines without setting them off.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBIN_INSTALL_DIR=/usr/games

## kmines 25.08.2+p24.04+vstable+git20251031.1047

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vstable+git20251031.1047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:47:31 +0000

## kmines 25.08.2+p24.04+vunstable+git20251011.0438

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMINES_BASE_VERSION once new features are added

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vunstable+git20251011.0438-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 04:38:16 +0000

## kmines 25.08.2+p24.04+vunstable+git20251015.1558

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vunstable+git20251015.1558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:58:16 +0000

## kmines 25.08.2+p24.04+vunstable+git20251020.1328

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vunstable+git20251020.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:28:42 +0000

## kmines 25.08.2+p24.04+vunstable+git20251021.0509

=== debian/changelog ===
kmines (4:25.08.2+p24.04+vunstable+git20251021.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:09:04 +0000

## kmines 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMINES_BASE_VERSION once new features are added

=== debian/changelog ===
kmines (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:25:40 +0000

=== debian/control ===
Source: kmines
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.08.3~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmines
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmines

Package: kmines
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: minesweeper game
 KMines is a game where the player finds hidden mines without setting them off.
 .
 This package is part of the KDE games module.

## kmines 25.08.3+p24.04+vunstable+git20251123.1014

=== debian/changelog ===
kmines (4:25.08.3+p24.04+vunstable+git20251123.1014-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:14:26 +0000

kmines (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:31 +1000

## kmines 25.08.3+p24.04+vunstable+git20251204.0542

=== debian/changelog ===
kmines (4:25.08.3+p24.04+vunstable+git20251204.0542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:42:07 +0000

## kmines 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMINES_BASE_VERSION once new features are added

=== debian/changelog ===
kmines (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:58:34 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.3~),
+               libkdegames6-dev (>= 4:25.11.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.11.90

=== debian/changelog ===
kmines (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:08:42 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMINES_BASE_VERSION once new features are added

=== debian/changelog ===
kmines (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:25:28 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.90~),
+               libkdegames6-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.12.0+p24.04+vstable+git20260105.1038

=== debian/changelog ===
kmines (4:25.12.0+p24.04+vstable+git20260105.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:39:00 +0000

kmines (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:26 +1000

## kmines 25.12.1

=== debian/changelog ===
kmines (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:08:07 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.0~),
+               libkdegames6-dev (>= 4:25.12.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kmines 25.12.1+p24.04+vstable+git20260106.1700

=== debian/changelog ===
kmines (4:25.12.1+p24.04+vstable+git20260106.1700-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 17:00:59 +0000

kmines (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:34 +1000

## kmines 25.12.1+p24.04+vstable+git20260128.0821

=== debian/changelog ===
kmines (4:25.12.1+p24.04+vstable+git20260128.0821-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 08:22:00 +0000

## kmines 25.12.1+p24.04+vstable+git20260203.0818

=== debian/changelog ===
kmines (4:25.12.1+p24.04+vstable+git20260203.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:18:57 +0000

## kmines 25.12.1+p24.04+vunstable+git20260205.0650

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KMINES_BASE_VERSION once new features are added
@@ -56,7 +56,7 @@
 find_package(KDEGames6 6.0.0 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
     KF 6.5
     KDEGAMES 6.0
 )

=== debian/changelog ===
kmines (4:25.12.1+p24.04+vunstable+git20260205.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:50:50 +0000

## kmines 25.12.2

=== debian/changelog ===
kmines (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:25:29 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.1~),
+               libkdegames6-dev (>= 4:25.12.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
